Envoy PROXY 协议身份验证绕过漏洞

来源: 投稿
2024-02-11 23:34:00

漏洞描述

Envoy 是一款高性能的服务代理。

在受影响版本中,由于PROXY协议实现未过滤非UTF-8字符,当 failure_mode_allow 设置为 true 时,下游客户端可以通过强制发送tlv中包含非UTF-8字符的无效gRPC请求,绕过ext_authz过滤器校验,导致外部认证机制被绕过。

漏洞名称 Envoy PROXY协议身份验证绕过漏洞
漏洞类型 输入验证不恰当
发现时间 2024-02-10
漏洞影响广度
MPS编号 MPS-x4yl-9mrt
CVE编号 CVE-2024-23324
CNVD编号 -

影响范围

envoy@[1.29.0, 1.29.1)

envoy@[1.28.0, 1.28.1)

envoy@[1.26.0, 1.26.7)

envoy@[1.27.0, 1.27.3)

修复方案

将 envoy 升级至 1.28.1 及以上版本

将 envoy 升级至 1.26.7 及以上版本

将 envoy 升级至 1.27.3 及以上版本

将 envoy 升级至 1.29.1 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-x4yl-9mrt

https://nvd.nist.gov/vuln/detail/CVE-2024-23324

 

 

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部